<div class="manage-topics-page-content">
  <div class="category-list-container">
    <div *ngIf="loading" class="d-flex justify-content-center">
      <div class="spinner-border" role="status">
        <span class="sr-only" id="loading"></span>
      </div>
    </div>

    <app-category-sidebar [editable]="true" [seeSubscriptions]="true"
      (newCategoryClick)="handleNewCategoryEvent($event)" (newSubCategoryClick)="handleNewSubCategoryEvent($event)"
      (editCategoryClick)="handleEditCategoryEvent($event)" (editSubCategoryClick)="handleEditSubCategoryEvent($event)"
      (deleteCategoryClick)="handleDeleteCategoryEvent($event)"
      (deleteSubCategoryClick)="handleDeleteSubCategoryEvent($event)" (messageEvent)="receiveMessage($event)"
      (AllTopic)="handleAllTopic()" [categories]="categories" style="padding-top: 140px; margin-left: 20px;">
    </app-category-sidebar>
  </div>

  <div class="topic-list-container">

    <div class="new-topic-button-container">
      <button (click)="openNewTopicForm()" class="newTopicButton button is-rounded new-topic-button">New Topic</button>
    </div>
    <div *ngIf="loading" class="d-flex justify-content-center">
      <div class="spinner-border" role="status">
        <span class="sr-only" id="loading"></span>
      </div>
    </div>
    <app-topic-list [categories]="categories" [subCategoryFilter]="subCategorySearch" [editable]="true"
      (editTopicEvent)="handleEditTopicEvent($event)" (deleteTopicEvent)="handleDeleteTopicEvent($event)">
    </app-topic-list>
  </div>
</div>
